> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# تفاصيل ملف المستخدم

> احصل على معلومات حول المستخدم أو ملف المستخدم

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

<PlansAvailable plans={["premium"]} maxPackRequired={false} />

تسترجع نقطة النهاية هذه معلومات مفصّلة عن المستخدم أو ملف المستخدم المُصادق عليه، بما في ذلك:

<ul class="custom-bullets">
  <li>قائمة شاملة بجميع حسابات وسائل التواصل الاجتماعي المربوطة</li>
  <li>أسماء مستخدمي وسائل التواصل الاجتماعي ومعلومات الملف الشخصي</li>
  <li>حالة الحساب ومقاييس الاستخدام</li>
</ul>

تعكس البيانات المُعادة الحالة الحالية لشبكات التواصل الاجتماعي المتصلة في الوقت الفعلي، وتُحدَّث تلقائيًا كلما ربط المستخدمون أو فصلوا حسابات وسائل التواصل الاجتماعي الخاصة بهم.

إذا لم تكن هناك حسابات اجتماعية مربوطة، فلن يتم إرجاع `activeSocialAccounts`.

احصل على بيانات لملف مستخدم معيّن بإضافة [Profile-Key في الترويسة](/apis/overview#profile-key-format).

<Warning>
  <ul class="custom-bullets">
    <li>إذا كانت شركتك تتطلب جمع جميع بيانات ملفات المستخدمين مرة واحدة، فيُرجى استخدام [نقطة نهاية /user/batch](/apis/user/batch-all-users).</li>
    <li>إذا كنت بحاجة إلى إشعار عند ربط مستخدم أو فصله لحساب اجتماعي، فيُرجى الاطلاع على [نقطة نهاية /webhooks](/apis/webhooks/overview).</li>
  </ul>
</Warning>

## معاملات الترويسة

<HeaderAPI />

## معاملات الاستعلام

<ParamField query="instagramDetails" type="boolean" default={false}>
  يُرجع تفاصيل Instagram الإضافية مثل نوع الحساب (business أو creator) والحصة المستخدمة.
  لا يوصى به إلا إذا كنت بحاجة إلى البيانات الإضافية لأنه سيُبطئ وقت الاستجابة.
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -X GET https://api.ayrshare.com/api/user
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch("https://api.ayrshare.com/api/user", {
        method: "GET",
        headers: {
          "Authorization": `Bearer ${API_KEY}`
        }
      })
        .then((res) => res.json())
        .then((json) => console.log(json))
        .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  headers = {'Authorization': 'Bearer API_KEY'}
  r = requests.get('https://api.ayrshare.com/api/user', headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  $apiUrl = 'https://api.ayrshare.com/api/user';
  $apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

  $headers = [
      'Content-Type: application/json',
      'Authorization: Bearer ' . $apiKey,
  ];

  $curl = curl_init($apiUrl);
  curl_setopt_array($curl, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => $headers
  ]);

  $response = curl_exec($curl);

  if ($response === false) {
      echo 'Curl error: ' . curl_error($curl);
  } else {
      echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
  }

  curl_close($curl);
  ```

  ```csharp C# theme={"system"}
  using System;
  using System.Net.Http;
  using System.Threading.Tasks;

  namespace UserGETRequest_csharp
  {
  class User
  {
      static async Task Main(string[] args)
      {
          string API_KEY = "API_KEY";
          string url = "https://api.ayrshare.com/api/user";

          using (var client = new HttpClient())
          {
              client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
              
              try
              {
                  HttpResponseMessage response = await client.GetAsync(url);
                  response.EnsureSuccessStatusCode();
                  string responseBody = await response.Content.ReadAsStringAsync();
                  Console.WriteLine(responseBody);
              }
              catch (HttpRequestException e)
              {
                  Console.WriteLine($"Error: {e.Message}");
              }
          }
      }
  }
  }
  ```
</RequestExample>

<ResponseExample>
  ```javascript 200: Response theme={"system"}
  {
      "activeSocialAccounts": [
          "bluesky",
          "facebook",
          "gmb",
          "instagram",
          "linkedin",
          "pinterest",
          "reddit",
          "snapchat",
          "telegram",
          "threads",
          "tiktok",
          "twitter",
          "youtube"
      ],
      "created": {
          "_seconds": 1667351022,
          "_nanoseconds": 814000000,
          "utc": "2022-11-02T01:03:42Z"
      },
      "displayNames": [
          { // Bluesky
              "created": "2025-01-06T21:30:19.756Z",
              "description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
              "displayName": "Ayrshare",
              "id": "did:plc:62musrcyanhro2lydyhl",
              "platform": "bluesky",
              "userImage": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreie",
              "username": "ayrshare.com"
          },
          { // Facebook
              "created": "2022-11-14T16:18:49.110Z",
              "displayName": "Ayrshare",
              "id": "106638152329",
              "messagingActive": true,
              "pageName": "Ayrshare",
              "platform": "facebook",
              "profileUrl": "https://www.facebook.com/ayrshare",
              "userId": "283748192833",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/facebook.jpeg"
          },
          { // Google Business Profile
              "created": "2024-03-27T20:47:46.251Z",
              "description": "Easy to integrate Social Media APIs allow you to manage all your users' social accounts right from your product. Post, Auto Schedule, and Analytics. Great for SaaS, CMS, DAM, Agencies, and Apps.",
              "displayName": "Ayrshare",
              "mapsUrl": "https://maps.google.com/maps?cid=5229466225881728772",
              "placeId": "ChIJN53jw8BZwokRBEeVVtPLkkg",
              "platform": "gmb",
              "profileUrl": "https://www.ayrshare.com/",
              "reviewUrl": "https://search.google.com/local/writereview?placeid=ChIJN53jw8BZwokRBEeVVtPLkkg"
          },
          { // Instagram
              "created": "2022-11-09T20:36:58.659Z",
              "displayName": "Ayrshare",
              "id": "1784144322",
              "igId": "62938492293422",
              "messagingActive": true,
              "pageName": "Social Media API",
              "platform": "instagram",
              "profileUrl": "https://www.instagram.com/ayrshare",
              "type": "business",
              "usedQuota": 34,
              "userId": "2938492293422",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/instagram.jpeg",
              "username": "ayrshare",

              "type": "business",
              "usedQuota": 20
          },
          { // LinkedIn
              "created": "2022-11-17T18:52:29.830Z",
              "displayName": "Ayrshare",
              "id": "72157",
              "platform": "linkedin",
              "profileUrl": "https://www.linkedin.com/company/ayrshare",
              "refreshDaysRemaining": 364,
              "refreshRequired": "2023-11-17T18:52:29.830Z",
              "type": "corporate",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/linkedin.jpeg",
              "username": "ayrshare"
          },
          { // Pinterest
              "created": "2022-12-06T03:16:52.642Z",
              "displayName": "Ayrshare",
              "id": "42995790741",
              "platform": "pinterest",
              "profileUrl": "https://www.pinterest.com/ayrshare",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/pinterest.jpeg",
              "username": "ayrshare"
          },
          { // Reddit
              "created": "2022-11-17T18:55:34.419Z",
              "displayName": "funone",
              "platform": "reddit",
              "profileUrl": "https://www.reddit.com/user/funone",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/reddit.png",
              "username": "funone"
          },
          { // Snapchat
              "created": "2025-05-19T19:23:40.925Z",
              "displayName": "ayrshare",
              "id": "43548e97-edf1-44f9-984a-0a384703333",
              "platform": "snapchat",
              "profileUrl": "https://www.snapchat.com/add/username",
              "userImage": "https://img.ayrshare.com/EuMQpMIgcPZYuwHnWeVBCXyftb52/social/snapchat",
              "username": "ayrshare"
          },
          { // Telegram
              "created": "2022-11-17T18:55:16.320Z",
              "displayName": "Ayrshare",
              "id": -10017122,
              "platform": "telegram",
              "profileUrl": "https://web.telegram.org/z/#-17122",
              "type": "channel",
              "userImage": "https://img.ayrshare.com/nclMLxaIzmXHxOi4KEggA5gQ1T82/social/telegram.octo-stream"
          },
          { // Threads
              "created": "2025-04-24T20:26:28.311Z",
              "displayName": "ayrshare",
              "id": "9273292656113202",
              "isEligibleForGeoRestrictions": false,
              "isVerified": false,
              "platform": "threads",
              "profileUrl": "https://www.threads.com/@ayrshare",
              "userImage": "https://scontent-dfw5-2.cdninstagram.com/v/t51.2885-15/357665262",
              "username": "ayrshare"
          },
          { // TikTok
              "created": "2022-11-02T02:11:53.452Z",
              "displayName": "Ayrshare",
              "id": "5ebc6f39-7900-421e-bf9",
              "platform": "tiktok",
              "profileUrl": "https://www.tiktok.com/@ayrshare",
              "refreshDaysRemaining": 234,
              "refreshRequired": "2026-04-24T15:25:32.344Z",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/tiktok.jpeg",
              "username": "@ayrshare"
          },
          { // Twitter
              "created": "2022-11-02T01:38:42.326Z",
              "displayName": "ayrshare",
              "id": "1194881472",
              "messagingActive": true,
              "platform": "twitter",
              "profileUrl": "https://twitter.com/ayrshare",
              "subscriptionType": "Premium",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/twitter.png",
              "username": "ayrshare",
              "verifiedType": "blue"
          },
          { // YouTube
              "created": "2022-11-17T18:54:09.954Z",
              "displayName": "@ayrshare",
              "id": "106891058521430758565",
              "platform": "youtube",
              "profileUrl": "https://www.youtube.com/@ayrshare",
              "userImage": "https://img.ayrshare.com/ndfdfJ239s/social/youtube.png",
              "username": "@ayrshare"
          }
      ],
      "email": "me@ayrshare.com",
      "lastApiCall": "2024-08-14T15:18:11Z",
      "messagingConversationMonthlyCount": 7,
      "messagingEnabled": true,
      "monthlyApiCalls": 49,
      "monthlyPostCount": 49,
      "monthlyPostQuota": 500,
      "monthlyApiCallsQuota": 500,
      "refId": "13a9da9e0df1183a7a6a1fc2c60b8023fa9a32a0",
      "title": "Primary Profile",
      "lastUpdated": "2024-01-04T15:51:17.775Z",
      "nextUpdate": "2024-01-04T15:51:47.775Z"
  }
  ```

  ```json 403: Profile Key Not Found theme={"system"}
  {
    "action": "post",
    "status": "error",
    "code": 144,
    "message": "Some profiles not found. Please verify the Profile Keys."
  }
  ```
</ResponseExample>
